/***********************************************************************************
    Copyright 2008 Charles F. Gammie and Xiaoyue Guan

                        HAM  version 1.0   (released Jan 15, 2008)

    This file is part of HAM. HAM is a program that solves non-relativistic
    hyperbolic partial differential equation in conservative form using
    high-resolution shock-capturing techniques. This version of HAM has been
    configured to solve the magnetohydrodynamic equations of motion in
    axisymmetry to evolve a shearing box model.

    You are morally obligated to cite the following paper in his/her
    scientific literature that results from use of any part of HAM:

    [1] Guan, X. \& Gammie, C.F. \ 2008, Astrophysical Journal, Supplement,
        174, 145


    The latest version of the HAM is available on our code distribution
    website:
    http://rainman.astro.uiuc.edu/codelib/

    HAM is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    HAM is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with HAM; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

***********************************************************************************/


/* primitive variables */
double a_p[N1 + 2 * NG][N2 + 2 * NG][NP];
double a_dq1[N1 + 2 * NG][N2 + 2 * NG][NP];
double a_dq2[N1 + 2 * NG][N2 + 2 * NG][NP];
double a_F1[N1 + 2 * NG][N2 + 2 * NG][NP];
double a_F2[N1 + 2 * NG][N2 + 2 * NG][NP];
double a_ph[N1 + 2 * NG][N2 + 2 * NG][NP];

double (*p)[N2 + 2 * NG][NP];
double (*dq1)[N2 + 2 * NG][NP];
double (*dq2)[N2 + 2 * NG][NP];
double (*F1)[N2 + 2 * NG][NP];
double (*F2)[N2 + 2 * NG][NP];
double (*ph)[N2 + 2 * NG][NP];

double L1, L2;

double cour;
double dx1, dx2, dV;
double dt;
double t, tf;

double DTd;
double DTl;
double DTi;

double W, q;
double cs, csq;
