/***********************************************************************************
    Copyright 2008 Charles F. Gammie and Xiaoyue Guan

                        HAM  version 1.0   (released Jan 15, 2008)

    This file is part of HAM. HAM is a program that solves non-relativistic
    hyperbolic partial differential equation in conservative form using
    high-resolution shock-capturing techniques. This version of HAM has been
    configured to solve the magnetohydrodynamic equations of motion in
    axisymmetry to evolve a shearing box model.

    You are morally obligated to cite the following paper in his/her
    scientific literature that results from use of any part of HAM:

    [1] Guan, X. \& Gammie, C.F. \ 2008, Astrophysical Journal, Supplement,
        174, 145


    The latest version of the HAM is available on our code distribution
    website:
    http://rainman.astro.uiuc.edu/codelib/

    HAM is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    HAM is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with HAM; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

***********************************************************************************/

/*
 * Subroutine fixup
 *
 * Apply floors to density, internal energy
 * 
 */

#include "decs.h"


void
fixup (double (*pv)[N2 + 2 * NG][NP])
{
  int i, j, k;
  int ip, jp, im, jm;
  double bsq, del;
  double r, th, uuscal, rhoscal;

  LOOP
  {

    /* floor on density (momentum *not* conserved) */
    if (pv[i][j][RHO] < RHOMIN)
      pv[i][j][RHO] = RHOMIN;

    /* floor on internal energy */
    /*
       if(pv[i][j][UU] < UUMIN )
       pv[i][j][UU] = UUMIN ;
     */
  }
}
